Package docking

# Class DockingWindowManagerTestUtils

java.lang.Object
docking.DockingWindowManagerTestUtils

public class DockingWindowManagerTestUtils extends Object
This class mainly serves as a conduit through which testing code can access some of the non-public internals of `DockingWindowManager`, without opening up its interface to the public and without using reflective magic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingWindowManagerTestUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<ComponentProvider>`
  `getActiveProviders(DockingWindowManager dwm)`
  `static DockableComponent`
  `getDockableComponent(DockingWindowManager dwm, ComponentProvider provider)`
  `static void`
  `moveProvider(DockingWindowManager dwm, ComponentProvider movee, ComponentProvider relativeTo, WindowPosition position)`
  `static Window`
  `moveProviderToWindow(DockingWindowManager dwm, ComponentProvider provider)`
  Moves the given provider to its own window, at its current location.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DockingWindowManagerTestUtils

    public DockingWindowManagerTestUtils()

- ## Method Details

  - ### getActiveProviders

    public static Set<ComponentProvider> getActiveProviders(DockingWindowManager dwm)

  - ### moveProviderToWindow

    public static Window moveProviderToWindow(DockingWindowManager dwm, ComponentProvider provider)
    Moves the given provider to its own window, at its current location.
    Parameters:
      `provider` - the provider to move
    Returns:
      the provider's window

  - ### moveProvider

    public static void moveProvider(DockingWindowManager dwm, ComponentProvider movee, ComponentProvider relativeTo, WindowPosition position)

  - ### getDockableComponent

    public static DockableComponent getDockableComponent(DockingWindowManager dwm, ComponentProvider provider)